GET api/PostBroadcastMessages/GetAllPostBrodcastMessages
GetAllPostBrodcastMessages
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
GenericResponseListOfPostBroadcastMessageDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| status | string |
None. |
|
| message | string |
None. |
|
| UserStatus | string |
None. |
|
| Data | Collection of PostBroadcastMessageDTO |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": "sample string 1",
"message": "sample string 2",
"userStatus": "sample string 3",
"data": [
{
"id": 1,
"userType": "sample string 2",
"countryId": 1,
"messageTypeId": 3,
"message": "sample string 4",
"messageSP": "sample string 5",
"bgColorCode": "sample string 6",
"imageUrl": "sample string 7",
"buttonDestinationId": 1,
"buttonText": "sample string 8",
"createdDate": "2026-08-08T08:26:54.1562779+00:00",
"createdBy": 1,
"totalSent": 1,
"totalClicked": 1,
"device": "sample string 9",
"title": "sample string 10",
"titleSP": "sample string 11",
"loggedUserType": "sample string 12",
"countryName": "sample string 13",
"messageType": "sample string 14",
"buttonDestination": "sample string 15",
"totalRecived": 1,
"createdOn": "sample string 16",
"externalUrl": "sample string 17"
},
{
"id": 1,
"userType": "sample string 2",
"countryId": 1,
"messageTypeId": 3,
"message": "sample string 4",
"messageSP": "sample string 5",
"bgColorCode": "sample string 6",
"imageUrl": "sample string 7",
"buttonDestinationId": 1,
"buttonText": "sample string 8",
"createdDate": "2026-08-08T08:26:54.1562779+00:00",
"createdBy": 1,
"totalSent": 1,
"totalClicked": 1,
"device": "sample string 9",
"title": "sample string 10",
"titleSP": "sample string 11",
"loggedUserType": "sample string 12",
"countryName": "sample string 13",
"messageType": "sample string 14",
"buttonDestination": "sample string 15",
"totalRecived": 1,
"createdOn": "sample string 16",
"externalUrl": "sample string 17"
}
]
}